2010-06-18

VirtualBox 3.1 upgrade to 3.2 with rpm on RHEL 5.5 amd64

由於曾經安裝過 VirtualBox 3.1 的關係,導致升級 3.2 時出現錯誤訊息,凍仁也不曉得此作法是否正規,確定會動就是。


1. 移除舊版的 VirtualBox。
jonny@rhel:~$ sudo /bin/rpm -e VirtualBox- \
3.1-3.1.8_61349_rhel5-1 [Enter]

2. 安裝新版的 VirtualBox。
jonny@rhel:~$ sudo /bin/rpm -Uvh VirtualBox- \
3.2-3.2.4_62467_rhel5-1.x86_64.rpm [Enter]

# 凍仁曾有 Ubuntu 10.04 的 VirtualBox 升級後無法開啟舊版的 guest os,但 RHEL 似乎沒差,不是沒差,是升級的幅度還不夠大。

延伸閱讀:
使用 rpm 管理套件 by OSWikiHK